=== debian/changelog ===
measurement-kit (0.7.1-2build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 23:22:45 +0000

measurement-kit (0.7.1-2) unstable; urgency=medium

  * Use -latomic to pick up those symbols on architectures they were missing
    (Closes: #877468)
  * Removing symbols file as it is expected that the ABI will break on every
    new upstream for the next few releases. (Closes: #877466)
   - The differences in symbols between architectures needs investigating,
     but may only be in private symbols that should not be used by
     applications.

 -- Iain R. Learmonth <irl@debian.org>  Sat, 07 Oct 2017 01:57:45 +0100

measurement-kit (0.7.1-1) unstable; urgency=medium

  * Initial release (Closes: #861753)

 -- Iain R. Learmonth <irl@debian.org>  Mon, 11 Sep 2017 00:21:05 +0100
