=== debian/control ===
Source: measurement-kit
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Iain R. Learmonth <irl@debian.org>
Build-Depends: debhelper (>= 9),
               autoconf,
               automake,
               cmake,
               libbsd-dev,
               libgeoip-dev,
               libssl-dev,
               libevent-dev,
               ca-certificates,
               geoip-database,
               geoip-database-extra
Standards-Version: 4.1.0
Section: libs
Homepage: https://github.com/measurement-kit/measurement-kit
Vcs-Git: https://anonscm.debian.org/git/pkg-netmeasure/measurement-kit.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-netmeasure/measurement-kit.git

Package: libmeasurement-kit-dev
Section: libdevel
Architecture: any
Depends: libmeasurement-kit-0.7.1-0 (= ${binary:Version}), ${misc:Depends}
Description: Open Network Measurements Methodologies Library (Development Files)
 MeasurementKit is a library that implements open network measurement
 methodologies (performance, censorship, etc.) and targets mobile platforms
 (Android and iOS).
 .
 It is meant to be embedded by third party applications with specific network
 measurement needs and/or to be used by researchers as a basis to implement
 novel tools.
 .
 This package contains development files for the library.

Package: libmeasurement-kit-0.7.1-0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, geoip-database, geoip-database-extra
Description: Open Network Measurements Methodologies Library
 MeasurementKit is a library that implements open network measurement
 methodologies (performance, censorship, etc.) and targets mobile platforms
 (Android and iOS).
 .
 It is meant to be embedded by third party applications with specific network
 measurement needs and/or to be used by researchers as a basis to implement
 novel tools.
 .
 This package contains the shared library.
