=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export LIBS+= -lbsd -latomic

%:
	dh $@

override_dh_auto_configure:
	./autogen.sh
	dh_auto_configure -- --disable-integration-tests
